Draft Drawing

From FreeCAD Documentation
Revision as of 09:55, 28 November 2018 by Luc (talk | contribs) (Created page with "Этот инструмент позволяет помещать выбранные объекты в svg Drawing sheet. Если в документе н...")

Draft Drawing

Системное название
Draft Drawing
Расположение в меню
Черчение -> Рисунок
Верстаки
Draft, Arch
Быстрые клавиши
Нет
Представлено в версии
-
См. также
Нет

Описание

Этот инструмент позволяет помещать выбранные объекты в svg Drawing sheet. Если в документе нет sheet, будет создан по умолчанию. Этот инструмент работает аналогично инструменту Drawing View, но оптимизирован для объектов Draft и может отображать плоские 2D-объекты с заполнением лица. Он также может обрабатывать несколько конкретных объектов проекта, таких как dimensions и texts, которые невозможно обработать инструментом Drawing View.

How to use

  1. Select the objects you wish to put on a drawing sheet
  2. Press the Draft Drawing button

Options

  • Select objects you want to put on the drawing sheet. The tool will work best with flat 2D objects from the Draft or Sketcher modules.
  • If the selected object is an Arch SectionPlane, this tool will create an additional view of that section plane.
  • In the same selection, add the page object you want to draw your objects to. If there is no existing page, a new one will be created. If you didn't select a page but there is at least one in the document, the first found one will be used to draw to.
  • If you selected an existing sheet, and the objects in the selection that are already on that sheet (for ex. for a "Rectangle" object there is already a "ViewRectangle" object on the sheet), they will be substitued. This allows you to simply select all the objects and send them to an existing page, which will simply be updated.

Properties

  • ДанныеFill Style: For closed shapes, allows to specify one of the Default Draft fill styles, or use the shape color.
  • ДанныеFont Size: Allows you to specify the font size of texts and dimensions.
  • ДанныеLine Width: Allows you to specify the line width of viewed objects.

Scripting

The Draft Drawing tool can by used in macros and from the python console by using the following function:

Draft.makeDrawingView (object,page)
  • Adds a view of the given object to the given page.
  • Returns the created view object.

Example:

import FreeCAD,Draft
obj = FreeCAD.ActiveDocument.ActiveObject
page = FreeCAD.ActiveDocument.Page
Draft.makeDrawingView(obj,page)